## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global pypi_name         teamcity-messages

Name:           python-%{pypi_name}
Version:        1.33
Release:        1%{?dist}
Summary:        Send test results to TeamCity continuous integration servers

License:        Apache-2.0 

Url:            https://github.com/JetBrains/teamcity-messages
Source0:        https://github.com/JetBrains/teamcity-messages/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

Enhances:  python3dist(pytest)
Enhances:  python3dist(setuptools)
Enhances:  python3dist(django)
Enhances:  python3dist(flake8)
Enhances:  python3dist(pycodestyle)
Enhances:  python3dist(behave)
Enhances:  python3dist(nose)
Enhances:  python3dist(pylint)
Enhances:  python3dist(twisted)

%global _description %{expand:
This package integrates Python with the
TeamCity <http://www.jetbrains.com/teamcity/> Continuous Integration
(CI) server. It allows sending "service messages"
from Python code. Additionally, it provides integration with the
following testing frameworks and tools:

-  py.test
-  nose
-  Django
-  unittest (Python standard library)
-  Trial (Twisted)
-  Flake8
-  Behave
-  PyLint

}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%py_provides    python3-%{pypi_name}

%description -n python3-%{pypi_name} %_description

%package -n     python3-%{pypi_name}-twisted-plugin
Summary:        TeamCity messages Twisted Plugin
Requires:       python3-%{pypi_name} == %{version}-%{release}
Requires:       python3dist(twisted)

%description -n     python3-%{pypi_name}-twisted-plugin
Twisted Plugin to interact with TeamCity

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel


%install
%pyproject_install


%check
%pytest tests/unit-tests
%pytest tests/unit-tests-since-2.6


%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.rst DEVGUIDE.md
%doc examples
%{python3_sitelib}/teamcity_messages-%{version}.dist-info/
%{python3_sitelib}/teamcity

%files -n python3-%{pypi_name}-twisted-plugin
%license LICENSE.md
%doc README.rst DEVGUIDE.md
%doc examples
%pycached %{python3_sitelib}/twisted/plugins/teamcity_plugin.py


%changelog
## START: Generated by rpmautospec
* Mon Dec 09 2024 Maja Massarini <mmassari@redhat.com> - 1.33-1
- Update to 1.33 upstream release

* Mon Dec 09 2024 Maja Massarini <mmassari@redhat.com> - 1.32-13
- Update to 1.32 upstream release

* Mon Dec 09 2024 Maja Massarini <mmassari@redhat.com> - 1.32-12
- Let packit sync specfile and config files

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.32-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.32-6
- Rebuilt for Python 3.12

* Wed Mar 08 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.32-5
- migrated to SPDX license

* Mon Feb 06 2023 Maja Massarini <mmassari@redhat.com> - 1.32-4
- Add pull_from_upstream packit feature in config

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 26 2022 Maja Massarini <mmassari@redhat.com> - 1.32-2
- [packit] 1.32 upstream release

* Wed Oct 26 2022 Maja Massarini <mmassari@redhat.com> - 1.32-1
- [packit] 1.32 upstream release

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.30-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.30-2
- Rebuilt for Python 3.11

* Thu Feb 10 2022 Maja Massarini <mmassari@redhat.com> - 1.30-1
- Initial import (fedora#2044393)
## END: Generated by rpmautospec
